Solutions to Common Problems

"Safari can't open the page" error message on Safari 6.2
This error applies to Mac OS X 10.8.5 and Safari 6.2.8 when you attempt to access secure pages. This version on Mac OS X and Safari does not support our upd...
Fri, 19 Feb, 2016 at 8:25 AM